Delete a single External Account object
curl --request DELETE \
--url https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}"
headers = {"Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "ea_123",
"account_type": "us",
"currency": "usd",
"customer_id": "cust_123",
"account_owner_name": "John Doe",
"bank_name": "Wells Fargo",
"last_4": "1111",
"active": true,
"beneficiary_address_valid": true,
"account": {
"last_4": "1111",
"routing_number": "121000248",
"checking_or_savings": "checking"
},
"created_at": "2020-01-01T00:00:00.000Z",
"updated_at": "2020-01-02T00:00:00.000Z"
}External Accounts
Delete a single External Account object
Delete an External Account object from the passed in External Account ID
DELETE
/
customers
/
{customerID}
/
external_accounts
/
{externalAccountID}
Delete a single External Account object
curl --request DELETE \
--url https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}"
headers = {"Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "ea_123",
"account_type": "us",
"currency": "usd",
"customer_id": "cust_123",
"account_owner_name": "John Doe",
"bank_name": "Wells Fargo",
"last_4": "1111",
"active": true,
"beneficiary_address_valid": true,
"account": {
"last_4": "1111",
"routing_number": "121000248",
"checking_or_savings": "checking"
},
"created_at": "2020-01-01T00:00:00.000Z",
"updated_at": "2020-01-02T00:00:00.000Z"
}Path Parameters
Response
Successfully deleted External Account object response
- ACH/Wire
- IBAN
- CLABE
- Pix
- GB
- Bre-B
- CO Bank Transfer
US bank account using account and routing numbers for ACH or Wire transfers
Owner of the account Bank Account (e.g. "John Doe"). For ach, wire, and iban accounts, this field must be at least 3 characters, at most 35 characters, and follow the regex pattern for the given account type:
- ach:
^(?!\s*$)[\x20-\x7E]*$ - wire:
^[ \w!"#$%&'()+,\-./:;<=>?@\\_`~]*$ - iban:
^(?![:\- ]*$)[a-zA-Z0-9\/\-?:().,'+ _]+$
Required string length:
1 - 256Was this page helpful?